<?php
return [
	'version'=>1004,
	'option'=>[
		'prefix' => 'xlch_',
		'ENGINE' => 'InnoDB',
		'CHARSET' => 'utf8',
		'COLLATE' => 'utf8_bin',
	],
	'data'=>[
		'comment'=>[
			[
				'id'=>'ID',
				'type'=>'int',
				'len'=>11,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'',
				'A_I'=>true,
				'key'=>'PRI'
			],
			[
				'id'=>'UserId',
				'type'=>'int',
				'len'=>11,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'发送者ID',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'Type',
				'type'=>'tinyint',
				'len'=>1,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'类型 0=普通(公共留言) 1=回复 2=给某人发送 3=对图片留言',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'To',
				'type'=>'int',
				'len'=>11,
				'isNull'=>true,
				'default'=>null,
				'bewrite'=>'类型!=0才有用',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'Text',
				'type'=>'text',
				'len'=>false,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'内容',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'Private',
				'type'=>'tinyint',
				'len'=>1,
				'isNull'=>false,
				'default'=>'0',
				'bewrite'=>'是否为私密',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'AddDate',
				'type'=>'datetime',
				'len'=>false,
				'isNull'=>false,
				'default'=>'0000-00-00 00:00:00',
				'bewrite'=>'评论日期时间',
				'A_I'=>false,
				'key'=>false
			],
		],
		'image'=>[
			[
				'id'=>'ID',
				'type'=>'int',
				'len'=>11,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'',
				'A_I'=>true,
				'key'=>'PRI'
			],
			[
				'id'=>'DirId',
				'type'=>'int',
				'len'=>11,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'目录ID',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'Url',
				'type'=>'varchar',
				'len'=>500,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'图片地址',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'Name',
				'type'=>'varchar',
				'len'=>50,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'图片名称',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'UploadId',
				'type'=>'int',
				'len'=>11,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'上传者ID',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'AddDate',
				'type'=>'datetime',
				'len'=>false,
				'isNull'=>false,
				'default'=>'0000-00-00 00:00:00',
				'bewrite'=>'上传时间',
				'A_I'=>false,
				'key'=>false
			],
		],
		'image_dir'=>[
			[
				'id'=>'ID',
				'type'=>'int',
				'len'=>11,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'',
				'A_I'=>true,
				'key'=>'PRI'
			],
			[
				'id'=>'Name',
				'type'=>'varchar',
				'len'=>50,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'目录名称',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'Bewrite',
				'type'=>'varchar',
				'len'=>300,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'一句话介绍',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'CreaterId',
				'type'=>'int',
				'len'=>11,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'创建者ID',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'AnybodyUpload',
				'type'=>'tinyint',
				'len'=>1,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'是否任何人都能上传',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'AddDate',
				'type'=>'datetime',
				'len'=>false,
				'isNull'=>false,
				'default'=>'0000-00-00 00:00:00',
				'bewrite'=>'创建日期',
				'A_I'=>false,
				'key'=>false
			],
		],
		'user'=>[
			[
				'id'=>'ID',
				'type'=>'int',
				'len'=>11,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'',
				'A_I'=>true,
				'key'=>'PRI'
			],
			[
				'id'=>'Username',
				'type'=>'varchar',
				'len'=>32,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'用户名',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'Password',
				'type'=>'varchar',
				'len'=>32,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'密码',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'HeadUrl',
				'type'=>'varchar',
				'len'=>300,
				'isNull'=>false,
				'default'=>'/Upload/Default/Head.png',
				'bewrite'=>'头像',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'Status',
				'type'=>'varchar',
				'len'=>100,
				'isNull'=>false,
				'default'=>'On',
				'bewrite'=>'账号状态',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'RegIP',
				'type'=>'varchar',
				'len'=>15,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'注册IP',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'RegDate',
				'type'=>'datetime',
				'len'=>false,
				'isNull'=>false,
				'default'=>'0000-00-00 00:00:00',
				'bewrite'=>'注册日期',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'RegCity',
				'type'=>'varchar',
				'len'=>50,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'注册城市',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'LoginIP',
				'type'=>'varchar',
				'len'=>15,
				'isNull'=>false,
				'default'=>'0.0.0.0',
				'bewrite'=>'登录IP',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'LoginDate',
				'type'=>'datetime',
				'len'=>false,
				'isNull'=>false,
				'default'=>false,
				'bewrite'=>'登录日期',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'Token',
				'type'=>'varchar',
				'len'=>32,
				'isNull'=>true,
				'default'=>null,
				'bewrite'=>'会话ID',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'Group',
				'type'=>'varchar',
				'len'=>32,
				'isNull'=>false,
				'default'=>'Default',
				'bewrite'=>'用户组',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'UserData',
				'type'=>'mediumtext',
				'len'=>false,
				'isNull'=>true,
				'default'=>null,
				'bewrite'=>'用户信息 使用JSON存储',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'Safe_Question',
				'type'=>'varchar',
				'len'=>50,
				'isNull'=>true,
				'default'=>null,
				'bewrite'=>'密保问题',
				'A_I'=>false,
				'key'=>false
			],
			[
				'id'=>'Safe_Answer',
				'type'=>'varchar',
				'len'=>50,
				'isNull'=>true,
				'default'=>null,
				'bewrite'=>'密保答案',
				'A_I'=>false,
				'key'=>false
			],
		],
	]
];